Package com.microblink.blinkid.entities.recognizers.successframe

# Class SuccessFrameGrabberRecognizer.Result

java.lang.Object
com.microblink.blinkid.entities.Entity.Result
com.microblink.blinkid.entities.recognizers.Recognizer.Result
com.microblink.blinkid.entities.recognizers.successframe.SuccessFrameGrabberRecognizer.Result

All Implemented Interfaces:
  `android.os.Parcelable`

Enclosing class:
  SuccessFrameGrabberRecognizer

public static final class SuccessFrameGrabberRecognizer.Result extends Recognizer.Result

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.microblink.blinkid.entities.recognizers.Recognizer.Result

  `Recognizer.Result.State`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<SuccessFrameGrabberRecognizer.Result>`
  `CREATOR`

  ### Fields inherited from class com.microblink.blinkid.entities.Entity.Result

  `mOwner`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result(long nativeResult, Recognizer.Result slaveResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SuccessFrameGrabberRecognizer.Result`
  `clone()`
  Create a copy of the result.
  `protected void`
  `deserializeFromByteArray(byte[] arr)`
  `Recognizer.Result`
  `getSlaveResult()`
  Returns the result of given recognizer.
  `Image`
  `getSuccessFrame()`
  Returns the camera frame image on which given recognizer's result has become valid.
  `protected byte[]`
  `serializeToByteArray()`
  `protected void`
  `terminateNative(long nativeContext)`
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int i)`

  ### Methods inherited from class com.microblink.blinkid.entities.recognizers.Recognizer.Result

  `getResultState, isEmpty`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity.Result

  `describeContents, finalize, getNativeContext, readFromParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<SuccessFrameGrabberRecognizer.Result> CREATOR

- ## Constructor Details

  - ### Result

    protected Result(long nativeResult, @NonNull Recognizer.Result slaveResult)

- ## Method Details

  - ### getSuccessFrame

    @Nullable public Image getSuccessFrame()
    Returns the camera frame image on which given recognizer's result has become valid. If given recognizer's result never became valid, returns null. NOTE: Internal buffers of the returned image are valid as long as Result object (this) is alive.
    Returns:
      the camera frame image on which given recognizer's result has become valid

  - ### getSlaveResult

    @NonNull public Recognizer.Result getSlaveResult()
    Returns the result of given recognizer.
    Returns:
      the result of given recognizer.

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### serializeToByteArray

    @Nullable protected byte[] serializeToByteArray()
    Specified by:
      `serializeToByteArray` in class `Entity.Result`

  - ### deserializeFromByteArray

    protected void deserializeFromByteArray(@NonNull byte[] arr)
    Specified by:
      `deserializeFromByteArray` in class `Entity.Result`

  - ### clone

    @NonNull public SuccessFrameGrabberRecognizer.Result clone()
    Description copied from class: `Entity.Result`
    Create a copy of the result. This is required in order to retain the result even after owning entity has mutated it.
    Specified by:
      `clone` in class `Recognizer.Result`
    Returns:
      a copy of the result

  - ### terminateNative

    protected void terminateNative(long nativeContext)
    Specified by:
      `terminateNative` in class `Entity.Result`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int i)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`
    Overrides:
      `writeToParcel` in class `Entity.Result`